package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class TarmarmasDTO implements Serializable {

    private static final long serialVersionUID = 363446719494113L;

    private String carma;

    private String lote;

    private Integer cantidad;

    private Integer peso;

    private String modelo;

    private String seriecanon;

    private java.util.Date femisionpermiso;

    private String direccion;

    private String nemonicoarma;

    private java.util.Date fecharegistro;

    private Integer recordversion;

    private String codigoarma;

    private java.util.Date fdesaduanizacion;

    private java.util.Date fechacaducidad;

    private String partidaarancelaria;

    private String partidaarancelariacodigo;

    private String estadodecomiso;

    private String estadoventa;

    private String pathdocumento;

    private String pathdocumentocrear;

    private String generacertificado;

    private String cregistro;

    private String ctipoarmaexplosivo;

    private String tgenecatalogdetail;

    private String tgenecatalogdetail1;

    private String tgenecatalogdetail2;

    private String tgenecatalogdetail3;

    private String tgenecatalogdetail4;

    private String tgenecity;

    private String cpaisorigen;

    private String tgeneparroquia;

        public String getCarma() {
    return carma;
    }

        public void setCarma(String carma) {
    this.carma = carma;
    }

        public String getLote() {
    return lote;
    }

        public void setLote(String lote) {
    this.lote = lote;
    }

        public Integer getCantidad() {
    return cantidad;
    }

        public void setCantidad(Integer cantidad) {
    this.cantidad = cantidad;
    }

        public Integer getPeso() {
    return peso;
    }

        public void setPeso(Integer peso) {
    this.peso = peso;
    }

        public String getModelo() {
    return modelo;
    }

        public void setModelo(String modelo) {
    this.modelo = modelo;
    }

        public String getSeriecanon() {
    return seriecanon;
    }

        public void setSeriecanon(String seriecanon) {
    this.seriecanon = seriecanon;
    }

        public java.util.Date getFemisionpermiso() {
    return femisionpermiso;
    }

        public void setFemisionpermiso(java.util.Date femisionpermiso) {
    this.femisionpermiso = femisionpermiso;
    }

        public String getDireccion() {
    return direccion;
    }

        public void setDireccion(String direccion) {
    this.direccion = direccion;
    }

        public String getNemonicoarma() {
    return nemonicoarma;
    }

        public void setNemonicoarma(String nemonicoarma) {
    this.nemonicoarma = nemonicoarma;
    }

        public java.util.Date getFecharegistro() {
    return fecharegistro;
    }

        public void setFecharegistro(java.util.Date fecharegistro) {
    this.fecharegistro = fecharegistro;
    }

        public Integer getRecordversion() {
    return recordversion;
    }

        public void setRecordversion(Integer recordversion) {
    this.recordversion = recordversion;
    }

        public String getCodigoarma() {
    return codigoarma;
    }

        public void setCodigoarma(String codigoarma) {
    this.codigoarma = codigoarma;
    }

        public java.util.Date getFdesaduanizacion() {
    return fdesaduanizacion;
    }

        public void setFdesaduanizacion(java.util.Date fdesaduanizacion) {
    this.fdesaduanizacion = fdesaduanizacion;
    }

        public java.util.Date getFechacaducidad() {
    return fechacaducidad;
    }

        public void setFechacaducidad(java.util.Date fechacaducidad) {
    this.fechacaducidad = fechacaducidad;
    }

        public String getPartidaarancelaria() {
    return partidaarancelaria;
    }

        public void setPartidaarancelaria(String partidaarancelaria) {
    this.partidaarancelaria = partidaarancelaria;
    }

        public String getPartidaarancelariacodigo() {
    return partidaarancelariacodigo;
    }

        public void setPartidaarancelariacodigo(String partidaarancelariacodigo) {
    this.partidaarancelariacodigo = partidaarancelariacodigo;
    }

        public String getEstadodecomiso() {
    return estadodecomiso;
    }

        public void setEstadodecomiso(String estadodecomiso) {
    this.estadodecomiso = estadodecomiso;
    }

        public String getEstadoventa() {
    return estadoventa;
    }

        public void setEstadoventa(String estadoventa) {
    this.estadoventa = estadoventa;
    }

        public String getPathdocumento() {
    return pathdocumento;
    }

        public void setPathdocumento(String pathdocumento) {
    this.pathdocumento = pathdocumento;
    }

        public String getPathdocumentocrear() {
    return pathdocumentocrear;
    }

        public void setPathdocumentocrear(String pathdocumentocrear) {
    this.pathdocumentocrear = pathdocumentocrear;
    }

        public String getGeneracertificado() {
    return generacertificado;
    }

        public void setGeneracertificado(String generacertificado) {
    this.generacertificado = generacertificado;
    }

        public String getCregistro() {
    return cregistro;
    }

        public void setCregistro(String cregistro) {
    this.cregistro = cregistro;
    }

        public String getCtipoarmaexplosivo() {
    return ctipoarmaexplosivo;
    }

        public void setCtipoarmaexplosivo(String ctipoarmaexplosivo) {
    this.ctipoarmaexplosivo = ctipoarmaexplosivo;
    }

        public String getTgenecatalogdetail() {
    return tgenecatalogdetail;
    }

        public void setTgenecatalogdetail(String tgenecatalogdetail) {
    this.tgenecatalogdetail = tgenecatalogdetail;
    }

        public String getTgenecatalogdetail1() {
    return tgenecatalogdetail1;
    }

        public void setTgenecatalogdetail1(String tgenecatalogdetail1) {
    this.tgenecatalogdetail1 = tgenecatalogdetail1;
    }

        public String getTgenecatalogdetail2() {
    return tgenecatalogdetail2;
    }

        public void setTgenecatalogdetail2(String tgenecatalogdetail2) {
    this.tgenecatalogdetail2 = tgenecatalogdetail2;
    }

        public String getTgenecatalogdetail3() {
    return tgenecatalogdetail3;
    }

        public void setTgenecatalogdetail3(String tgenecatalogdetail3) {
    this.tgenecatalogdetail3 = tgenecatalogdetail3;
    }

        public String getTgenecatalogdetail4() {
    return tgenecatalogdetail4;
    }

        public void setTgenecatalogdetail4(String tgenecatalogdetail4) {
    this.tgenecatalogdetail4 = tgenecatalogdetail4;
    }

        public String getTgenecity() {
    return tgenecity;
    }

        public void setTgenecity(String tgenecity) {
    this.tgenecity = tgenecity;
    }

        public String getCpaisorigen() {
    return cpaisorigen;
    }

        public void setCpaisorigen(String cpaisorigen) {
    this.cpaisorigen = cpaisorigen;
    }

        public String getTgeneparroquia() {
    return tgeneparroquia;
    }

        public void setTgeneparroquia(String tgeneparroquia) {
    this.tgeneparroquia = tgeneparroquia;
    }

}